%global pypi_name monotonic

Name:           python-%{pypi_name}
Version:        1.6
Release:        %mkrel 6
Group:          Development/Python
Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
License:        ASLv2
URL:            https://github.com/atdt/monotonic
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

%package -n     python3-%{pypi_name}
Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files monotonic

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.6-6.mga10
+ Revision: 2238564
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.6-5.mga10
+ Revision: 2155319
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 1.6-4.mga10
+ Revision: 2155247
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.6-3.mga10
+ Revision: 2017650
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.6-2.mga9
+ Revision: 1823142
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.6-1.mga9
+ Revision: 1781485
- version 1.6
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 1.5-4.mga9
+ Revision: 1710197
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5-3.mga8
+ Revision: 1531804
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.5-2.mga8
+ Revision: 1440967
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.5-1.mga7
+ Revision: 1352674
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1289200
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 1.4-1.mga7
+ Revision: 1210914
- Update to version 1.4
- Use python_provide

* Wed Aug 09 2017 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1139160
- new version: 1.3
- rename python-monotonic to python2-monotonic

* Sat Aug 05 2017 pterjan <pterjan> 0.6-2.mga7
+ Revision: 1135501
- Rebuild for python 3.6

* Sun Jan 24 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 927027
- new version: 0.6

* Wed Oct 14 2015 daviddavid <daviddavid> 0.3-2.mga6
+ Revision: 891098
- add python3 package
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.3-1.mga6
+ Revision: 871862
- imported package python-monotonic

